"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x118ea13a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x118ea14e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1580>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1620>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x118ea16c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1760>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1800>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x118ea18a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1940>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x118ea19e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1a80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1b20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1bc0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1c60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1d00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1da0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1e40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1ee0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x118ea1f80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2020>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x118ea20c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2160>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2200>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea22a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2340>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x118ea23e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2480>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2520>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x118ea25c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2660>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2700>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea27a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2840>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea28e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2980>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2a20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2ac0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2b60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2c00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2ca0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2d40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2de0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2e80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2f20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x118ea2fc0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3060>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3100>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x118ea31a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3240>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x118ea32e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3380>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3420>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x118ea34c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3560>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3600>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x118ea36a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3740>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea37e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3880>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3920>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x118ea39c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3a60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3b00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3ba0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3c40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3ce0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3d80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3e20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3ec0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x118ea3f60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc040>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc0e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc180>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc220>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc2c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc360>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc400>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc4a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc540>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc680>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc5e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc720>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc7c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x118ebc860>)]
name: str = 'fr_HOCCN'
